Name:           gavl
Version:        1.4.0
Release:        15
Summary:        Library which provides basic support for uncompressed multimedia data
License:        GPLv3+
URL:            http://gmerlin.sourceforge.net/
Source0:        https://sourceforge.net/projects/gmerlin/files/%{name}/%{version}/%{name}-%{version}.tar.gz/download?use_mirror#/%{name}-%{version}.tar.gz
Patch0001:      gavl-1.1.1-system_libgdither.patch
BuildRequires:  libtool doxygen libpng-devel >= 1.0.8 libgdither-devel

%description
Gavl is short for Gmerlin Audio Video Library. It is a low level library, upon
which multimedia APIs can be built. Gavl handles all the details of audio and
video formats like colorspaces, samplerates, multichannel configurations etc. It
provides standardized definitions for those formats as well as container
structures for carrying audio samples or video images inside an application.

%package        devel
Summary:        Development support for %{name} library
Requires:       %{name} = %{version}-%{release} pkgconfig

%description    devel
This package provides libraries and header files for developing applications when using
%{name}.


%prep
%autosetup -n %{name}-%{version} -p1

sed -i -i 's/LQT_TRY_CFLAGS/dnl LQT_TRY_CFLAGS/g' configure.ac
sed -i -i 's/LQT_OPT_CFLAGS/dnl LQT_OPT_CFLAGS/g' configure.ac

sh autogen.sh

%build
%configure --disable-static --disable-cpu-clip --enable-libgdither

%make_build

%install
%make_install
%delete_la

touch -r include/gavl/gavl.h $RPM_BUILD_ROOT%{_includedir}/gavl/gavl_version.h

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc AUTHORS COPYING README TODO
%{_libdir}/*.so.*
%exclude %{_docdir}/gavl/apiref

%files devel
%doc %{_docdir}/gavl/apiref/
%{_includedir}/gavl/
%{_libdir}/{*.so,pkgconfig/gavl.pc}

%changelog
* Tue Sep 15 2020 Ge Wang <wangge20@huawei.com> - 1.4.0-15
- Modify Source0 Url

* Sat Dec 21 2019 yanzhihua <yanzhihua4@huawei.com> - 1.4.0-14
- Package init
